  
/*------------ Страница тем ------------*/

h1 {
    font-family: "CourierCyrPS-Bold", "Courier", monospace;
}


.topics-list {
    list-style: none;
    padding: 0 12px 0 0;
    margin-top: 10px;
    width: 100%;
    columns: 1;
    /* border-right: 2px solid var(--light-border-color); */
}


.topics-list li {
    display: flex;
    flex-direction: row;
    background:var(--page-color);
    border: none;
    margin-bottom: 8px;
    border-left: 5px solid var(--highlight-color);
}

.topics-list li:hover {
    background-color: var(--highlight-color);
    border-left: 5px solid var(--accent-color);   
}


.topics-list li:has(a:focus) {
    border-left: 5px solid var(--accent-color);   
    outline: none;
}


.topics-list li a {
    color: var(--text-main-color);
    font-size: 25px;
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
    padding: 10px;
    outline: none;
}


.topics-list li a:hover {
    color: var(--highlight-text-color);
}


.topics-list li a:focus-visible  {
    text-decoration: underline;
    text-decoration-color: var(--text-main-color);
}



.topic-number {
    font-size: 13pt;
}


@media (max-width: 800px) {

    .main {
        padding: 40px 20px 20px 20px;
    }

    .topics-list {
        border: none;
        padding: 0;
    }
}


@media (min-width: 887px) {
    .topics-list {
        columns: 2;
    }
}

/* Большие экраны */
@media (min-width: 1200px) {
    .topics-list {
        columns: 3;
    }
}